@tool
class_name DebugLayer
extends CanvasLayer

@export var variables_to_track: Array[String]

var debug_label_scene:= preload("res://scenes/debug_label.tscn")

@onready var v_box_container: VBoxContainer = $VBoxContainer

func _ready() -> void:
	for variable in variables_to_track:
		var new_debug_label:= debug_label_scene.instantiate()
		new_debug_label.target = get_parent()
		new_debug_label.variable_name = variable
		v_box_container.add_child(new_debug_label)
